/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 9 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing;

import java.util.Map;



/**
 * @author raf
 *
 * This interface will be used to maintain special
 * habilities of the OADYMPPAC Parser like
 * chaining parser and automated imbrication of elements 
 */
public interface ElementDelegationHandler  {

    
    public Map getElementMap();
    public void setElementMap(Map map);
    
    public void addDelegateHandler(String element, String handler) throws ClassNotFoundException,InstantiationException, IllegalAccessException;
    public void addDelegateHandler(String element, Class handler) throws ClassNotFoundException,InstantiationException, IllegalAccessException;
    public void addDelegateHandler(String element, org.xml.sax.ContentHandler handler);
    
    public boolean isDelegating();  

}
