/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 9 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing;

import java.util.Map;

import fr.inria.oadymppac.parsing.event.ElementEventHandler;
import fr.inria.oadymppac.parsing.event.Event;



/**
 * @author raf
 *
 * This interface will be used to maintain special
 * habilities of the OADYMPPAC Parser like
 * chaining parser and automated imbrication of elements 
 */
public interface ElementHandler {

    
    public Map getElementMap();
    public void setElementMap(Map map);
    
    public Event addElement(String element, String ev) throws ClassNotFoundException,InstantiationException, IllegalAccessException;
    public Event addElement(String element, Class ev) throws ClassNotFoundException,InstantiationException, IllegalAccessException;
    public Event addElement(String element, Event ev);
    
    public ElementEventHandler buildElementHandler(); // factory of ElementEventHandler to store recognized element
    
    
}
