/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 19 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing;

import java.util.Iterator;

import org.apache.log4j.Logger;

/**
 * @author raf
 *
 * @
 */
public interface ElementHierarchyHandler {
	public static final Logger logger = Logger.getLogger(ElementHierarchyHandler.class); 
    /**
     * @return
     */
    public boolean isEmpty();

    /**
     * @return
     */
    public Iterator iterator();

    /**
     * @return
     */
    public String peek();

    /**
     * @return
     */
    public String pop();

    /**
     * @param item
     * @return
     */
    public String push(String item);

    /**
     * @return
     */
    public int size();

    /**
     * @return
     */
    public String[] toArray();

    /**
     * 
     */
    public void clear();
    
    public boolean contains(String item);

}