/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 11 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing.gentra4cp;

import org.xml.sax.Attributes;

import fr.inria.oadymppac.parsing.ContentHandler;
import fr.inria.oadymppac.parsing.event.EventImpl;
import fr.inria.oadymppac.parsing.event.Info;
import fr.inria.oadymppac.parsing.gentra4cp.event.ExplanationEvent;
import fr.inria.oadymppac.parsing.info.ExplanationInfo;


/**
 * @author raf
 *
 * @
 */
public class BasicExplanationEvent extends EventImpl implements ExplanationEvent {
   
    protected ExplanationInfo info;

    /**
     * 
     */
    public BasicExplanationEvent() {
        super();
        buildInfo();
    }
    
    protected void buildInfo() {
		if (info==null) info = new ExplanationInfo();
	}

    /* (non-Javadoc)
     * @see fr.inria.oadymppac.parsing.event.EventImpl#clone()
     */
    public Object clone() throws CloneNotSupportedException {
        return null;
    }
    
    /**
     * @return Returns the info.
     */
    public Info getInfo() {
        return (Info)info;
    }   
    //private String buffer;
    
    /* (non-Javadoc)
     * @see fr.inria.oadymppac.parsing.event.Event#init(fr.inria.oadymppac.ContentHandler, org.xml.sax.Attributes)
     */
    public void init(ContentHandler handler, Attributes atts) {
    	buildInfo();
        super.init(handler, atts);
    }
    
    /* (non-Javadoc)
     * @see fr.inria.oadymppac.parsing.event.Event#reset()
     */
    public void reset()  {
    	super.reset();
    	if (info != null) {
        info=null;
    	}
    }
    
    public int getEventType() {
		return EVENT_TYPE;
	}
}