/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 11 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing.gentra4cp;

import org.xml.sax.Attributes;

import fr.inria.oadymppac.parsing.ContentHandler;
import fr.inria.oadymppac.parsing.gentra4cp.event.StartStageEvent;
import fr.inria.oadymppac.parsing.info.StartStageInfo;



/**
 * @author raf
 *
 * @
 */
public class BasicStartStageEvent extends BasicStageEvent implements StartStageEvent
			 {
    
       
    
    /**
     * 
     */
    public BasicStartStageEvent() {
        super();
        buildInfo();
    }
    
    protected void buildInfo() {
		if (info==null) info = new StartStageInfo();
	}
    
    public int getEventType() {
		return EVENT_TYPE;
	}

    public void init(ContentHandler handler, Attributes atts) {
    	buildInfo();
        super.init(handler, atts);
    }
}