/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 11 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing.info;

import fr.inria.oadymppac.parsing.gentra4cp.event.attributes.CauseAttributes;


/**
 * @author raf
 *
 * @
 */
public class CauseInfo extends BasicInfo implements CauseAttributes, ValueListProvider,  Cloneable {
	public static final int INFO_TYPE = 6;
	public  int getInfoType() {
		return INFO_TYPE;
	}
	protected String variable;
    protected short   type;
    
    protected ValueListInfo valueList;
    
    
    public Object clone() throws CloneNotSupportedException {
    	super.clone();
        CauseInfo clone = new CauseInfo();
        clone.setVariable(variable);
        clone.setType(type);
        if(valueList != null) clone.setValueList((ValueListInfo) valueList.clone());
        return clone;
    } 
   
    
 
    /* (non-Javadoc)
     * @see fr.inria.oadymppac.parsing.gentra4cp.event.attributes.DTDVariableAttributes#getIdentifier()
     */
    public String getVariable() {
        return variable;
    }
    /* (non-Javadoc)
     * @see fr.inria.oadymppac.parsing.gentra4cp.event.attributes.DTDVariableAttributes#setIdentifier(java.lang.String)
     */
    public void setVariable(String ident) {
        this.variable=ident;
        
    }
     /* (non-Javadoc)
     * @see fr.inria.oadymppac.parsing.gentra4cp.event.attributes.DTDVariableAttributes#getType()
     */
    public short getType() {
        return type;
    }
    /* (non-Javadoc)
     * @see fr.inria.oadymppac.parsing.gentra4cp.event.attributes.DTDVariableAttributes#setType(short)
     */
    public void setType(short type) {
        this.type=type;
    }
    
    
  

    /**
     * @return Returns the valueList.
     */
    public ValueListInfo getValueList() {
        return valueList;
    }
    /**
     * @param valueList The valueList to set.
     */
    public void setValueList(ValueListInfo valueList) {
        this.valueList = valueList;
    }
 
}