/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 11 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing.info;

import java.util.StringTokenizer;

import fr.inria.oadymppac.parsing.gentra4cp.event.attributes.ScheduleAttributes;


/**
 * @author raf
 *
 * @
 */
public class ScheduleInfo extends EventInfo implements ScheduleAttributes, UpdateProvider,StateProvider, Cloneable {
	public static final int INFO_TYPE = 30;
	public  int getInfoType() {
		return INFO_TYPE;
	}
	protected String constraint;
    protected String[] actions; 
    
    protected UpdateInfo update;
    
    protected StateInfo state;
    
    private String buffer;
    private StringTokenizer tokenizer;
    
  
	public String getConstraint() {
		return constraint;
	}
	/* (non-Javadoc)
	 * @see fr.inria.oadymppac.parsing.gentra4cp.event.NewConstraintEvent#setOrigin(java.lang.String)
	 */
	public void setConstraint(String cst) {
		this.constraint=cst;
	}
	
	public String[] getActions() {
		return actions;
	}
	/* (non-Javadoc)
	 * @see fr.inria.oadymppac.parsing.gentra4cp.event.NewConstraintEvent#setOrigin(java.lang.String)
	 */
	public void setActions(String[] actions) {
		this.actions=actions;
	}
    /* (non-Javadoc)
     * @see fr.inria.oadymppac.parsing.info.BasicInfo#clone()
     */
    public Object clone() throws CloneNotSupportedException {
    	super.clone();
        ScheduleInfo clone = new ScheduleInfo();
        clone(clone);
        clone.setConstraint(constraint);
        clone.setActions(clone(actions));
        if(state != null) clone.setState((StateInfo) state.clone());
        return clone;
    }

	
 
	
    /**
     * @return Returns the update.
     */
    public UpdateInfo getUpdate() {
        return update;
    }
    /**
     * @param update The update to set.
     */
    public void setUpdate(UpdateInfo update) {
        this.update = update;
    }
    /**
     * @return Returns the state.
     */
    public StateInfo getState() {
        return state;
    }
    /**
     * @param state The state to set.
     */
    public void setState(StateInfo state) {
        this.state = state;
    }
}