/*
 * Created on 5 avr. 2004
 *
 */
package fr.inria.oadymppac.utils.log;

import java.io.File;

import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.PropertyConfigurator;


/**
 * 
 * A default logger configurator
 * 
 * @author raf
 *
 */
public abstract class LogConfigurator {
    
    /**
     * Basically look for properties/log4j.properties files
     * If not found, enable logger with a default configuration
     */
    public static void configure() {
        File loggerConfig = new File("properties/log4j.properties");
        if (loggerConfig.exists()) {
            PropertyConfigurator.configure(loggerConfig.toString());
        } else {
            BasicConfigurator.configure();
        }
    }
}
