
package fr.inria.infovis.panel;

import java.awt.Dimension;
import java.io.IOException;

import javax.swing.JEditorPane;
import javax.swing.JScrollPane;

/**
 * @author raf
 *
 * A replacement of the SplashPanel of Infovis
 * 
 * 
 */
public class SplashPanel extends JScrollPane {
    
	JEditorPane editor;
	
    public SplashPanel() {
        super();
        if (editor == null) {
        	editor = new JEditorPane();
        	this.setViewportView(editor);
        }
        setPreferredSize(new Dimension(500, 500));
        try {
            editor.setPage("file:images/spplash.htm");
        }
        catch (IOException e) {
        	e.printStackTrace();
            editor.setText(
                "<html><head><title>Generic Trace Format for Constraint Programming</title></head>\n"+
                "<text>"+
                "<p>Welcome to the <b>Generic Trace Format Analisys Toolkit</b> version 1.0.0<br>\n"+
                "Copyright (C) 2003 INRIA-Rocquencourt, France.</p>\n"+
                "<p>This software is published under the terms of the QPL Software License\n"+
                "a copy of which has been included with this distribution in the\n"+
                "license-oadymppac.txt file.</p>\n"+ 
                "</text></html>\n");
        }
        editor.setEditable(false);
    }

}
