
package fr.inria.infovis.panel.visualization;

import infovis.Graph;
import infovis.graph.visualization.GraphVisualization;
import infovis.panel.DefaultVisualPanel;

import javax.swing.JComponent;

import fr.inria.infovis.panel.DefaultControlPanel;

/**
 * @author raf
 *
 * A replacement of the GraphControlPanel of Infovis
 * 
 * 
 */
public class GraphControlPanel extends DefaultControlPanel {

    public GraphControlPanel(GraphVisualization visualization) {
        super(visualization);
    }
    
    public GraphVisualization getGraphVisualization() {
        return (GraphVisualization)getVisualization()
            .findVisualization(GraphVisualization.class);
    }
    
    public Graph getGraph() {
        return getGraphVisualization().getGraph();
    }

    protected JComponent createVisualPanel() {
        DefaultVisualPanel panel = new DefaultVisualPanel(getVisualization(), getFilter());
        panel.addOrientationButtons();
        return panel;
    }
}
