
package fr.inria.infovis.panel.visualization;


import infovis.graph.visualization.NodeLinkGraphVisualization;

import javax.swing.JComponent;

import fr.inria.infovis.panel.DefaultControlPanel;

/**
 * @author raf
 *
 * A replacement of the NodeLinkGraphControlPanel of Infovis
 * 
 * 
 */
public class NodeLinkGraphControlPanel extends DefaultControlPanel {
    
    public NodeLinkGraphControlPanel(NodeLinkGraphVisualization visualization) {
        super(visualization);
    }
    
    public NodeLinkGraphVisualization getNodeLinkVisualization() {
        return (NodeLinkGraphVisualization)getVisualization()
            .findVisualization(NodeLinkGraphVisualization.class);
    }
    
    protected JComponent createVisualPanel() {
        NodeLinkGraphVisualPanel visualPanel =
            new NodeLinkGraphVisualPanel(getVisualization(), getFilter());
        return visualPanel;
    }
    
}
