/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 17 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.examples.parsing;

import fr.inria.oadymppac.parsing.event.EventListenerImpl;
import fr.inria.oadymppac.parsing.gentra4cp.event.BreakPointEvent;
import fr.inria.oadymppac.parsing.gentra4cp.event.BreakPointEventListener;
import fr.inria.oadymppac.parsing.gentra4cp.event.PacketEvent;
import fr.inria.oadymppac.parsing.gentra4cp.event.PacketEventListener;


/**
 * 
 * An example of a Control Handler (Packet, Breakpoints management)
 * Basically its only display the event.
 * It must be generally used with other handler and delegate sub tag to a 
 * standard listener, ensuring this way a same behaviour with or without a complement    
 * 
 * @author raf
 * 
 */
public class SingleControlEventListener extends EventListenerImpl implements BreakPointEventListener,PacketEventListener {

	  public void eventProcess(BreakPointEvent ev) {
        	System.out.println("------------------- NEW BREAKPOINT !!! -------------------");
        	System.out.println("CONTROL:"+ev.getControl());
        } 

	  public void eventProcess(PacketEvent ev) {
      	System.out.println("------------------- NEW PACKET !!! -------------------");
      	System.out.println("CONTROL:"+ev.getControl());
      } 

    }

