/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 9 mars 2004
 *
 * 
 */

package fr.inria.oadymppac.parsing.event;

import org.apache.log4j.Logger;
import org.xml.sax.Attributes;

import fr.inria.oadymppac.parsing.ContentHandler;


/**
 * @author raf
 *
 * To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Generation - Code and Comments
 */
public interface Event extends Cloneable {
	public static Logger logger = Logger.getLogger(Event.class); 
    public void reset();
    public void init(ContentHandler handler, Attributes atts);
    public void init(ContentHandler handler, char ch[], int start, int length);
    public void terminate();
    
    public ContentHandler getSource();
    public void setSource(ContentHandler handler);
    
    public String getAnyValue(String name); // special JDFK

    //public  Object clone() throws CloneNotSupportedException;
    public Info getInfo() throws CloneNotSupportedException;
    
    public int getEventType();
}
