/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 18 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing.event;


/**
 * @author raf
 *
 * @
 */
public abstract class EventListenerImpl implements EventListener {

  
    /* (non-Javadoc)
     * @see fr.inria.oadymppac.parsing.event.EventListener#eventProcess(fr.inria.oadymppac.parsing.event.Event)
     */
		public void eventProcess(Event ev) {		
			logger.info("Default processing of event");
	    }

		/* (non-Javadoc)
		 * @see fr.inria.oadymppac.parsing.event.EventListener#processEnd()
		 */
		public void processEnd() {};
		/* (non-Javadoc)
		 * @see fr.inria.oadymppac.parsing.event.EventListener#processInstruction(java.lang.String, java.lang.String)
		 */
		public void processInstruction(String target, String data) {};
		/* (non-Javadoc)
		 * @see fr.inria.oadymppac.parsing.event.EventListener#processStart()
		 */
		public void processStart() {};

}
