/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 11 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing.gentra4cp.event.attributes;

import fr.inria.oadymppac.parsing.gentra4cp.dtd.DTDVariableAttributes;


/**
 * @author raf
 *
 * @
 */
public interface VarAttributes extends DTDVariableAttributes {
    public static final String IDENTIFIER_NONE="NONE";
    public static final String NAME_NONE="- NONAMED VARIABLE -";
    public static final String INTERNAL_NONE="- NOINTERNAL VARIABLE -";
    public static final String EXTERNAL_NONE="- NOEXTERNAL VARIABLE -";
    

    
    public String getIdentifier();
    public String getInternal();
    public String getName();
    public String getExternal();
 
    
    public void setIdentifier(String ident);
    public void setName(String name);
    public void setInternal(String internal);
    public void setExternal(String external);
 
}
