/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 17 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.solver.parsing;

import fr.inria.oadymppac.parsing.event.EventListenerImpl;
import fr.inria.oadymppac.parsing.gentra4cp.event.ProvideEvent;
import fr.inria.oadymppac.parsing.gentra4cp.event.ProvideEventListener;
import fr.inria.oadymppac.parsing.gentra4cp.handlers.ProvideContentHandler;


/**
 * @author raf
 *
 * @
 */
public class SingleProvideEventListener extends EventListenerImpl implements ProvideEventListener {
	    public static final String HEAD="HEAD";
	    public static final String TRACE="TRACE";
	    
		private String orig;

		/**
		 * @param orig
		 */
		public SingleProvideEventListener(String orig) {
			super();
			this.orig = orig;
		}	
		
        public void eventProcess(ProvideEvent ev) {
        	if (logger.isDebugEnabled()) logger.info("------------------- NEW PROVIDE DEFINITION("+orig+") !!! -------------------\n"+ ((ProvideContentHandler) ev.getSource()).getProvideInfo() );
        } 
		/**
		 * @return Returns the orig.
		 */
		public String getOrig() {
			return orig;
		}
		/**
		 * @param orig The orig to set.
		 */
		public void setOrig(String orig) {
			this.orig = orig;
		}

    }

